summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Michales Michaloudes2011-11-16 01:11:43 +0100
committer Robby Workman2011-11-26 16:08:09 +0100
commit040a5961bc798211beed4ab24a2e89570880dc85 (patch)
treeb3d967b8edc45ffdf9c0d725de56eb4d84e878ed /audio
parent36eec7ab6d1af0f636cb760a622025aac8433dfc (diff)
downloadslackbuilds-040a5961bc798211beed4ab24a2e89570880dc85.tar.gz
audio/rumor: Added (Really Unintelligent Music transcriptOR)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/rumor/README3
-rw-r--r--audio/rumor/rumor.SlackBuild84
-rw-r--r--audio/rumor/rumor.info10
-rw-r--r--audio/rumor/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/audio/rumor/README b/audio/rumor/README
new file mode 100644
index 0000000000..bdc0310ba6
--- /dev/null
+++ b/audio/rumor/README
@@ -0,0 +1,3 @@
+Rumor is a realtime monophonic (with chords) MIDI keyboard to Lilypond
+converter. It receives MIDI events, quantizes them according to its metronome
+on the fly and outputs handwritten-like corresponding Lilypond notation.
diff --git a/audio/rumor/rumor.SlackBuild b/audio/rumor/rumor.SlackBuild
new file mode 100644
index 0000000000..005a597b3e
--- /dev/null
+++ b/audio/rumor/rumor.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+# Slackware build script for <rumor>
+# Written by Michales Michaloudes korgie@gmail.com
+
+PRGNAM=rumor
+VERSION=${VERSION:-1.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-debug \
+ --build=$ARCH-slackware-linux
+
+make
+make info
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# no man page, compress info page.
+find $PKG/usr/share/info/ -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING NEWS INSTALL ChangeLog README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+#cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/rumor/rumor.info b/audio/rumor/rumor.info
new file mode 100644
index 0000000000..bd3e42b3ee
--- /dev/null
+++ b/audio/rumor/rumor.info
@@ -0,0 +1,10 @@
+PRGNAM="rumor"
+VERSION="1.0.5"
+HOMEPAGE="http://www.volny.cz/smilauer/rumor/rumor.html"
+DOWNLOAD="http://launchpad.net/rumor/trunk/1.0.5/+download/rumor-1.0.5.tar.bz2"
+MD5SUM="b4b531829e6901c958dad805cf1ab8ae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/audio/rumor/slack-desc b/audio/rumor/slack-desc
new file mode 100644
index 0000000000..e6820f2487
--- /dev/null
+++ b/audio/rumor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rumor: rumor (Really Unintelligent Music transcriptOR)
+rumor:
+rumor: Rumor is a realtime monophonic (with chords) MIDI keyboard to
+rumor: Lilypond converter. It receives MIDI events, quantizes them
+rumor: according to its metronome on the fly and outputs handwritten-like
+rumor: corresponding Lilypond notation.
+rumor:
+rumor:
+rumor:
+rumor:
+rumor: